Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226031 - Merge Review: libieee1284
Summary: Merge Review: libieee1284
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:25 UTC by Nobody's working on this, feel free to take it
Modified: 2009-05-14 14:57 UTC (History)
2 users (show)

Fixed In Version: 0.2.11-6.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-14 11:15:36 UTC
susi.lehtola: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:25:36 UTC
Fedora Merge Review: libieee1284

http://cvs.fedora.redhat.com/viewcvs/devel/libieee1284/
Initial Owner: twaugh@redhat.com

Comment 2 Tim Waugh 2008-02-13 12:45:24 UTC
Sorry, please ignore comment #1.

Comment 3 Susi Lehtola 2009-03-27 19:37:40 UTC
- Drop the obsolete prereq. (ldconfig is part of glibc which is automatically available so no buildreqs are needed for it.)

- Change devel package requires to %{name} = %{version}-%{release}.

- Use SMP make and drop optflags from make line (already put in by %configure). Make line should read
  make %{?_smp_mflags}

- Devel package needs to provide %{name}-static = %{version}-%{release}

- .la files should be removed (although this is considered an ABI change and can only be done in rawhide)

- Source url is incorrect, should be
 http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

Comment 4 Susi Lehtola 2009-03-27 19:46:59 UTC
rpmlint output:
libieee1284.src:9: E: prereq-use /sbin/ldconfig
libieee1284-devel.x86_64: W: summary-ended-with-dot Files for developing applications that use libieee1284.
libieee1284-python.x86_64: W: no-documentation
libieee1284-python.x86_64: W: summary-ended-with-dot Python extension module for libieee1284.
5 packages and 0 specfiles checked; 1 errors, 3 warnings.

- Remove the dot and drop the prereq.

MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. NEEDSFIX 

MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK

MUST: Optflags are used and time stamps preserved. OK
 - Use
  make DESTDIR=%{buildroot} INSTALL="install -p" install
  just to be safe.

MUST: Packages containing shared library files must call ldconfig. OK
NUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSFIX
 - Include AUTHORS and NEWS to documentation.

MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. NEEDSFIX
 - See #3.

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. NEEDSFIX
MUST: Packages does not contain any .la libtool archives. NEEDSFIX

MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

Comment 5 Tim Waugh 2009-05-14 11:15:36 UTC
Fixes made.  Thanks!

Comment 6 Susi Lehtola 2009-05-14 12:48:28 UTC
Okay, seems good.

APPROVED

PS. You can still drop the dot in the python package summary:
Summary: Python extension module for libieee1284.

Comment 7 Tim Waugh 2009-05-14 14:57:14 UTC
Oops, missed that one, thanks.  Done.


Note You need to log in before you can comment on or make changes to this bug.